Name:           gamazons
Version:        0.83
Release:        16%{?dist}
Summary:        GNOME Amazons

Group:          Amusements/Games
License:        GPLv2
URL:            http://www.yorgalily.org/gamazons/
Source0:        http://www.yorgalily.org/gamazons/src/gamazons-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel desktop-file-utils

%description
Amazons is a game played on a 10x10 chess board. Each side has four
pieces (amazons) that move like chess queens (in a straight line in
any direction). Instead of capturing pieces like in chess, the game is
determined based on who moves last.

Each move consists of two parts. First an amazon moves to a new square
and then fires an arrow to another square (the arrow is fired in a
straight line in any direction from the square the amazon landed
on). The square the arrow lands on becomes a permenant block for the
rest of the game. No one can move over it, or fire an arrow over
it. Every turn an amazon must move and fire an arrow, so every turn
there is one less square available on the board. Try and block in your
opponent or section off a good chunk of the board for yourself.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
                     --delete-original \
                     --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
                     --remove-key=OnlyShowIn \
  $RPM_BUILD_ROOT%{_datadir}/applications/gamazons.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING src/gamazon.bugs src/thots
%{_bindir}/gamazons
%{_datadir}/applications/gamazons.desktop
%{_datadir}/gnome/help
%{_datadir}/gamazons
%{_datadir}/pixmaps/gamazons
%{_datadir}/pixmaps/gnome-gamazons.png



%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.83-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Jon Ciesla <limburgher@gmail.com> - 0.83-11
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.83-7
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.83-3
- Remove OnlyShowIn=GNOME from desktop file

* Mon Jun  9 2008 Michel Salim <salimma@fedoraproject.org> - 0.83-2
- Add thots (TODO) and gamazon.bugs to %%doc
- No longer require yelp; instead, make sure we own the help directory

* Sun Jun  1 2008 Michel Salim <salimma@fedoraproject.org> - 0.83-1
- Initial package
